Skip to main content
`Ctrl`+`K`

# SNESFASGalerkinFunctionDefault

Computes the Galerkin FAS function

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGalerkinFunctionDefault(SNES snes, Vec X, Vec F, PetscCtx ctx)

Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear solver context

- X - input vector

- ctx - the application context

## Output Parameter

- F - output vector

## Note

The Galerkin FAS function evaluation is defined as

\[ F^l(x^l) = I^l_0 F^0(P^0_l x^l) \]

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASGetGalerkin()`, `SNESFASSetGalerkin()`

## Level

developer

## Location

src/snes/impls/fas/fasgalerkin.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages